﻿using Microsoft.Extensions.FileProviders;
using Microsoft.Extensions.Primitives;
using System;

namespace WingCloudServer
{
    public class DllWatcher
    {
        private IFileProvider _fileProvider;
        public DllWatcher(string path, Action dllLoaderAction)
        {
            _fileProvider = new PhysicalFileProvider(path);
            ChangeToken.OnChange(() => _fileProvider.Watch("*.dll"), () => dllLoaderAction());
        }
    }
}
